ADPOSSampleStream (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.formats.ad

## Class ADPOSSampleStream

- java.lang.Object
- - opennlp.tools.formats.ad.ADPOSSampleStream

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<POSSample>

      public class ADPOSSampleStream
      extends Object
      implements ObjectStream<POSSample>

  Note: Do not use this class, internal use only!

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ADPOSSampleStream(InputStreamFactory in, String charsetName, boolean expandME, boolean includeFeatures)` Creates a new `POSSample` stream from a `InputStream`
    `ADPOSSampleStream(ObjectStream<String> lineStream, boolean expandME, boolean includeFeatures)` Creates a new `POSSample` stream from a line stream, i.e.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the `ObjectStream` and releases all allocated resources.
    `POSSample` | `read()` Returns the next object.
    `void` | `reset()` Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ADPOSSampleStream

          public ADPOSSampleStream(ObjectStream<String> lineStream,
                                   boolean expandME,
                                   boolean includeFeatures)

      Creates a new `POSSample` stream from a line stream, i.e. `ObjectStream`<`String`>, that could be a `PlainTextByLineStream` object.
      Parameters:
        `lineStream` - a stream of lines as `String`
        `expandME` - if true will expand the multiword expressions, each word of the expression will have the POS Tag that was attributed to the expression plus the prefix B- or I- (CONLL convention)
        `includeFeatures` - if true will combine the POS Tag with the feature tags

    - #### ADPOSSampleStream

          public ADPOSSampleStream(InputStreamFactory in,
                                   String charsetName,
                                   boolean expandME,
                                   boolean includeFeatures)
                            throws IOException

      Creates a new `POSSample` stream from a `InputStream`
      Parameters:
        `in` - the Corpus `InputStream`
        `charsetName` - the charset of the Arvores Deitadas Corpus
        `expandME` - if true will expand the multiword expressions, each word of the expression will have the POS Tag that was attributed to the expression plus the prefix B- or I- (CONLL convention)
        `includeFeatures` - if true will combine the POS Tag with the feature tags
      Throws:
        `IOException`

  - ### Method Detail

    - #### read

          public POSSample read()
                         throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Specified by:
        `read` in interface `ObjectStream<POSSample>`
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

    - #### reset

          public void reset()
                     throws IOException,
                            UnsupportedOperationException

      Description copied from interface: `ObjectStream`
      Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required. The implementation of this method is optional.
      Specified by:
        `reset` in interface `ObjectStream<POSSample>`
      Throws:
        `IOException` - if there is an error during reseting the stream
        `UnsupportedOperationException`

    - #### close

          public void close()
                     throws IOException

      Description copied from interface: `ObjectStream`
      Closes the `ObjectStream` and releases all allocated resources. After close was called its not allowed to call read or reset.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `ObjectStream<POSSample>`
      Throws:
        `IOException` - if there is an error during closing the stream

Copyright © 2026 The Apache Software Foundation. All rights reserved.